# eric7.Plugins.VcsPlugins.vcsPySvn.SvnOptionsDialog

Module implementing a dialog to enter options used to start a project in the VCS.

### Global Attributes

None

### Classes

SvnOptionsDialog | Class implementing a dialog to enter options used to start a project in the repository.

### Functions

None

## SvnOptionsDialog

Class implementing a dialog to enter options used to start a project in the repository.

### Derived from

QDialog, Ui_SvnOptionsDialog

### Class Attributes

None

### Class Methods

None

### Methods

SvnOptionsDialog | Constructor
getData | Public slot to retrieve the data entered into the dialog.
on_protocolCombo_activated | Private slot to switch the status of the directory selection button.
on_vcsUrlPicker_pickerButtonClicked | Private slot to display a repository browser dialog.
on_vcsUrlPicker_textChanged | Private slot to handle changes of the URL.

### Static Methods

None

#### SvnOptionsDialog (Constructor)

SvnOptionsDialog(vcs, project, parent=None)

Constructor

vcs
  reference to the version control object
project
  reference to the project object
parent
  parent widget (QWidget)

#### SvnOptionsDialog.getData

getData()

Public slot to retrieve the data entered into the dialog.

Return:
  a dictionary containing the data entered

#### SvnOptionsDialog.on_protocolCombo_activated

on_protocolCombo_activated(index)

Private slot to switch the status of the directory selection button.

index (int)
  index of the selected entry

#### SvnOptionsDialog.on_vcsUrlPicker_pickerButtonClicked

on_vcsUrlPicker_pickerButtonClicked()

Private slot to display a repository browser dialog.

#### SvnOptionsDialog.on_vcsUrlPicker_textChanged

on_vcsUrlPicker_textChanged(txt)

Private slot to handle changes of the URL.

txt
  current text of the line edit (string)

Up